package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.GameCategoryAddUpdateParam;
import com.zanxiang.manage.domain.params.GameCategoryListParam;
import com.zanxiang.manage.domain.vo.GameCategoryParentVO;
import com.zanxiang.manage.domain.vo.GameCategoryVO;
import com.zanxiang.mybatis.entity.GameCategory;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-23
 * @description : 游戏分类标签管理
 */
public interface GameCategoryService extends IService<GameCategory> {

    /**
     * 查询所有父标签列表
     *
     * @param type : 标签分类
     * @return : 返回所有父游戏标签
     */
    List<GameCategoryParentVO> getGameCategoryParent(Integer type);

    /**
     * 查询游戏标签列表
     *
     * @param param : 游戏标签列表查询呢参数
     * @return : 返回分页信息
     */
    IPage<GameCategoryVO> list(GameCategoryListParam param);

    /**
     * 游戏标签分类添加或修改
     *
     * @param param : 参数
     * @return : 返回结果
     */
    Boolean addOrUpdate(GameCategoryAddUpdateParam param);

    /**
     * 根据主键id删除
     *
     * @param id : 主键id
     * @return : 删除结果
     */
    Boolean deleteById(Long id);
}
