package com.zanxiang.sdk.common.listener;

import com.zanxiang.sdk.service.PerformOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.event.EventListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * 订单支付完成事件监听
 *
 * @author xufeng
 * @date 2022/6/27 10:22
 */
@Configuration
@Component
public class OrderPaySuccessListener {

    @Resource
    private PerformOrderService performOrderService;

    @EventListener
    @Async
    public void onApplicationEvent(OrderPaySuccessEvent event) {
        System.out.println("OrderPaySuccessListener success!");
        System.out.println(event.getOrderId());
        //cp推送
        performOrderService.pushCp(event.getOrderId());
    }
}
